Page MenuHomePhabricator

[Feeds] Implement "picture of the day" card.
Closed, ResolvedPublic2 Story Points

Description

This is to implement a card for the feed that shows today's featured picture. iOS app retrieves from commons, and delivers the same picture for every language. https://commons.wikimedia.org/wiki/Commons:Picture_of_the_day

If the POTD has a caption
Then it should be displayed on top of the image, on top of a gradient background

If the POTD has a caption in my device's current language
Then I should see the localized caption

If the POTD hasn’t downloaded yet
Then I should see a placeholder
And I should not see the caption (or its gradient background)

When I tap the card
Then I should see the fullscreen gallery
And it should have one Gallery View Item for the current POTD

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2016, 9:45 PM
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:15 PM
Mholloway claimed this task.Jul 4 2016, 4:08 PM

Change 297999 had a related patch set uploaded (by Mholloway):
Featured image card: enable image downloading from footer button

https://gerrit.wikimedia.org/r/297999

Change 298016 had a related patch set uploaded (by Mholloway):
Featured image card: enable sharing from card footer button

https://gerrit.wikimedia.org/r/298016

Change 298016 merged by jenkins-bot:
Featured image card: enable sharing from card footer button

https://gerrit.wikimedia.org/r/298016

Change 297999 merged by jenkins-bot:
Featured image card: enable image downloading from footer button

https://gerrit.wikimedia.org/r/297999

Dbrant closed this task as Resolved.Jul 14 2016, 2:20 PM